Viewing Issue Advanced Details Jump to Notes ] macrossp.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03966 Graphics Minor Always Jul 31, 2010, 19:42 Aug 2, 2015, 19:59
Tester Samurai Fox View Status Public Platform MAME (Official Binary)
Assigned To Tourniquet Resolution Fixed OS
Status [?] Resolved   Driver macrossp.cpp
Version 0.139 Fixed in Version 0.165 Build 64-bit
Summary 03966: macrossp: Bad graphics.
Description There are bad graphics with some of the backgrounds in the game (perhaps due to incorrect scaling?). This is most evident when the screen zooms to the bottom layer in the first level and on the 1st part of the 2nd stage boss . I've included screen shots below to help illustrate this problem.

As for the sprites issue, this is really only noticeable on the first boss so far. In the previous versions, there weren't any problems but in the current versions of MAME, parts of the first stage boss are blacked out.
Steps To Reproduce
Additional Information I haven't played this game all the way through, but I'll do that sometime later today and make more notes on these issues if necessary.
Flags
Regression Version
Affected Sets / Systems macrossp
Attached Files
png file icon 0000.png (24,522 bytes)  Jul 31, 2010, 19:42

png file icon 0001.png (18,201 bytes)  Jul 31, 2010, 19:43

png file icon 0002.png (50,023 bytes)  Jul 31, 2010, 19:44

png file icon 0003.png (47,189 bytes)  Jul 31, 2010, 19:45

png file icon 0004.png (20,944 bytes)  Jul 31, 2010, 19:46

png file icon 0005.png (21,873 bytes)  Jul 31, 2010, 19:47

png file icon 0006.png (23,694 bytes)  Jul 31, 2010, 19:48


-  Notes
User avatar
No.06472
Fujix
(Administrator)
Aug 1, 2010, 09:10
edited on: Aug 1, 2010, 09:11
This game has an Imperfect Graphics Flag. Reporting graphic bugs for this game is invalid.

Also check the driver note:
TODO:
- macrossp: tilemap zoom is wrong, see title screen (misplaced) and level 2 boss
  (background scrolls faster than sprites)
- should use VIDEO_RGB_DIRECT for alpha blending to work, but tilemap_draw_roz()
  doesn't support it.
- Sprite Zoom on quizmoon title screen isn't right
- Tilemap zoom effect on macrossp title screen and probably other places
- Priorities (Sprites & Backgrounds) - see quizmoon attract mode
- sprite/tilemap priorities might not be 100% correct
- Sound
- optimize palette fading in macrossp.quizmoon doesn't use that register.
- All Other Unused Reads / Writes
- Correct unknown ports if/as needed
- Clean Up
- Flip Screen support (both games have a dipswitch for it's selection)
Closing.

User avatar
No.11925
Tourniquet
(Developer)
Aug 1, 2015, 20:27
edited on: Aug 2, 2015, 00:29
This is closed, but I've been doing some comparisons versus a video that someone captured for me.
In the first two levels (of which I got a video) the only glitches evident are:
(1) Boss1 - before taking off, the shadow is over the boss
This is because of the lack of pdrawgfx or similar. The sprites are being interleaved with the layers, instead of being treated as a single-bitmap layer, drawn from start of the spriteram to the end, and then pixels interleaved with the bgs.

(2) Boss2 - The reason the scrolling looks wrong is that the wrong background is visible. Is should be a blue tilemap with the boss and lower pieces on rails - the currently visible tilemaps (2 and 3) should have parted earlier in the level to reveal 1.
This is a priority/scrolling issue, and not zooming.
Looking at the code, and in the debugger - the issue is that the scrollx/scrolly (global x/y scroll) registers aren't being used when zooming is enabled (in addition to the offset into the bitmap and linescroll for the zooming tilemap). These are clearly used to pan the zooming doors at the end of level 2.
This is also the case with the zooming title-screen logo, and explains why the road inexplicably disappears off the left of the screen during level1 - it should have panned off completely.

(3) Later, there's glitches on level 4 (boss should go under bridge, between tilemaps 2 and 3.
The sprites with a given priority actually have a lower priority than the bitmap. There's also an issue with the absolute sorting of the tilemaps versus just rendering them to the relevant priority level (e.g. what happens if all three tilemaps don't have a unique priority, they messup the relative priorities with the sprites)

User avatar
No.11926
NekoEd
(Senior Tester)
Aug 2, 2015, 03:41
Closed or not, such notes are always welcomed, thank you very much. I would suggest perhaps putting them in the driver with a link to this bug, so that they're noted in case someone picks up the driver in the future.
User avatar
No.11930
Tourniquet
(Developer)
Aug 2, 2015, 09:13
I'm attempting to do that too. (1) and (3) are addressed. The zoom is doing my head in though.
User avatar
No.11932
Tourniquet
(Developer)
Aug 2, 2015, 18:06
This should all be resolved in the next MAME release. Committed today.